package com.wrox.algorithms.sorting;

public class ReverseComparator implements Comparator {
    private final Comparator _comparator;
    
    public ReverseComparator(Comparator comparator) {
        assert comparator != null : "nie określono oryginalnego komparatora";
        _comparator = comparator;
    }


    public int compare(Object left, Object right) throws ClassCastException {
        return _comparator.compare(right, left);
    }
  



}
